Skip to main content
POST
/
{workspaceId}
/
projects
/
{projectName}
/
auth-sessions
/
{authSessionId}
/
validate
/
start
ValidateAuthSessionStart
import { IntunedClient } from "@intuned/client";

const client = new IntunedClient({
  workspaceId: "123e4567-e89b-12d3-a456-426614174000",
  apiKey: process.env["INTUNED_API_KEY"] ?? "",
});

async function run() {
  const result = await client.projects.authSessions.validate.start(
    "my-project",
    "<id>",
    {
      autoRecreate: true,
      checkAttempts: 3,
    },
);

  console.log(result);
}

run();
{
  "status": "pending",
  "operationId": "aabbccddeeffggh"
}

Authorizations

x-api-key
string
header
required

API Key used to authenticate your requests. How to create one.

Path Parameters

workspaceId
string<uuid>
required

Your workspace ID. How to find it?

projectName
string
required

The name you assigned when creating the Project.

authSessionId
string
required

Authentication session ID. You can obtain it from the AuthSessions tab in your project details.

Body

application/json

Validate AuthSession input schema

autoRecreate
boolean
default:true

If true, the AuthSession will be automatically recreated if the check fails.

Example:

true

checkAttempts
integer
default:3

Number of attempts to check the validity of the AuthSession before recreating it.

Example:

3

createAttempts
integer
default:3

Number of attempts to create a new AuthSession if the current one is invalid or expired.

Example:

3

proxy
string<uri> | null

Proxy URL to be used for the API call. This is optional and can be used to route the API call through a proxy server.

Example:

"http://username:password@domain:port"

requestTimeout
integer
default:600

Timeout for the API request in seconds. Default is 10 minutes (600 seconds).

Example:

600

Response

201 - application/json

Validate AuthSession operation started

status
enum<string>
required
Available options:
pending
operationId
string
required